From 2cbe9f085b16b8a191881be880818d070564178d Mon Sep 17 00:00:00 2001
From: Jason Wang <jasowang@redhat.com>
Date: Tue, 7 Jun 2022 16:56:27 +0800
Subject: [PATCH] virtio_ring: use IRQ_HANDLED.
Content-type: text/plain

Signed-off-by: Jason Wang <jasowang@redhat.com>
---
 drivers/virtio/virtio_ring.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/virtio/virtio_ring.c b/drivers/virtio/virtio_ring.c
index 13a7348cedff..1af55e576505 100644
--- a/drivers/virtio/virtio_ring.c
+++ b/drivers/virtio/virtio_ring.c
@@ -2137,7 +2137,7 @@ irqreturn_t vring_interrupt(int irq, void *_vq)
 	if (unlikely(vq->broken)) {
 		dev_warn_once(&vq->vq.vdev->dev,
 			      "virtio vring IRQ raised before DRIVER_OK");
-		return IRQ_NONE;
+		return IRQ_HANDLED;
 	}
 
 	/* Just a hint for performance: so it's ok that this can be racy! */
-- 
2.25.1

